Wordcloud
Strategy: Discord_Ichi_trigger_v2
Downloaded: 20220727
Stoploss: -0.99
The Ichi_trigger_v2 strategy is a trading strategy that utilizes the Ichimoku Cloud indicator to generate buy and sell signals. Here's a breakdown of what the strategy does: populate_indicators function: This function is responsible for populating the indicators used in the strategy. It takes a DataFrame of price data and additional metadata as input and returns the updated DataFrame with the calculated indicators.

If the strategy is running in backtest or hyperopt mode, it checks that the timeframe is either 5 minutes or 1 minute.

populate_buy_trend function: This function populates the buy signals in the DataFrame based on certain conditions.

It compares the 'bs_pic_sig' indicator with the 'pic_l_s_trig' indicator and assigns a value of 1 to the 'buy' column in the DataFrame for the rows where the condition is true. populate_sell_trend function: Similar to the populate_buy_trend function, this function populates the sell signals in the DataFrame. It compares the 'bs_pic_sig' indicator with the 'pic_l_s_trig' indicator and assigns a value of 1 to the 'sell' column for the rows where the condition is true. Overall, the strategy uses the Ichimoku Cloud indicators to determine buy and sell signals based on the comparison between the 'bs_pic_sig' and 'pic_l_s_trig' indicators. The populated buy and sell signals can be used to execute trades or analyze the performance of the strategy.

Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexes/base.py", line 3653, in get_loc return self._engine.get_loc(casted_key) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "pandas/_libs/index.pyx", line 147, in pandas._libs.index.IndexEngine.get_loc File "pandas/_libs/index.pyx", line 176, in pandas._libs.index.IndexEngine.get_loc File "pandas/_libs/hashtable_class_helper.pxi", line 7080, in pandas._libs.hashtable.PyObjectHashTable.get_item File "pandas/_libs/hashtable_class_helper.pxi", line 7088, in pandas._libs.hashtable.PyObjectHashTable.get_item KeyError: 'cskh_sig_w' The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/freqtrade/freqtrade/main.py", line 42, in main return_code = args['func'](args) ^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/commands/optimize_commands.py", line 58, in start_backtesting backtesting.start() File "/freqtrade/freqtrade/optimize/backtesting.py", line 1374, in start min_date, max_date = self.backtest_one_strategy(strat, data, timerange) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/optimize/backtesting.py", line 1291, in backtest_one_strategy preprocessed = self.strategy.advise_all_indicators(data) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/strategy/interface.py", line 1335, in advise_all_indicators return {pair: self.advise_indicators(pair_data.copy(), {'pair': pair}).copy() ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/strategy/interface.py", line 1335, in return {pair: self.advise_indicators(pair_data.copy(), {'pair': pair}).copy() ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/freqtrade/strategy/interface.py", line 1367, in advise_indicators return self.populate_indicators(dataframe, metadata) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/user_data/strategies/Discord_Ichi_trigger_v2.py", line 146, in populate_indicators informative = self.do_indicators(informative.copy(), metadata) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/freqtrade/user_data/strategies/Discord_Ichi_trigger_v2.py", line 123, in do_indicators dataframe['tkkh_sig_w'], dataframe['csh_sig_w'], dataframe['cskh_sig_w'], dataframe['ptk_sig_w'], ~~~~~~~~~^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/frame.py", line 3761, in __getitem__ indexer = self.columns.get_loc(key) ^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/pandas/core/indexes/base.py", line 3655, in get_loc raise KeyError(key) from err KeyError: 'cskh_sig_w'
stoploss: -0.99
timeframe: 5m
hash(sha256): a72f3d3c50c3ecfdfbc2a1d4ad9c677f1e1e4fd05f389baf219f8dcc4bd0220d
indicators:
close cskh_sig_w senkou_a csh_sig_w tenkan_sen
cloud_red tkkj_sig_w ptk_sig_w tenkan_sen_1h leading_senkou_span_a
leading_senkou_span_b sasb_sig_w kijun_sen high tkkh_sig_w
senkou_span_a ckh_sig_w kumo_high senkou_b kumo_low
bs_pic_sig pkj_sig_w senkou_span_b cloud_green runmode
low pic_l_s_trig

No similar strategies found. (based on used indicators)

last change: 2024-01-23 17:01:00